set encoding iso_8859_1
set term postscript eps enhanced color "Times-Roman, 24" size 6,6
set output 'DOS.eps'
set autoscale

Ef = 0
Ry = 13.605693009

set multiplot layout 2,1


set size 0.96, 0.45
set zeroaxis lw 3 lt 1 lc rgb "black"
unset label
set origin 0.02, 0.5
set xrange [-3:3]
unset ytics
set mxtics 2
set mytics 2
set key inside top center samplen 1 box opaque
set tics out scale 2,1 nomirror
set yrange [0:30]
set ytics 0,5,100
set xlabel "E - E_F [eV]" offset 0,0.5
set ylabel "DOS [states/eV]" offset 1,0
plot "./DOS_C_p.dat" using ($1-Ef):($2) with lines lc rgb "black" lw 6 title "C p",\
"./DOS_Te_p.dat" using ($1-Ef):($2) with lines lc rgb "red" lw 6 title "Te p",\
"./DOS_Mo_d.dat" using ($1-Ef):($2) with lines lc rgb "blue" lw 6 title "Mo d",\



