#!/usr/bin/python
import numpy as np
import cmath
from cmath import*
import math
from lmfit import Model
import time
import matplotlib.pyplot as plt

a = (2.4601e-10)*5
agrp = a/5.
hbar = 6.582119e-16
pi = math.pi
#lambdaR = 0.0
#lambdaIA = 0.0
#lambdaIB = 0.0
lambdaPIAA = 0.0
lambdaPIAB = 0.0
tau = 1
#delta = 1.69
#ED = 0.046
#vf = 8e5
BA = 0.0
BB = 0.0
XI = 0.0
#DFT daten#

data = np.loadtxt('./bandsK/DFTbandsK.dat')

kx = []
ky = []

k1 = data[:,0]-0.3333333
k2 = data[:,1]-0.3333333
kmax=len(k1)
kcut = 10

for i in range(kcut,kmax-kcut):
	kx.append(-((4*pi/(sqrt(3)*a))*(k1[i]*sqrt(3.)/2.)).real)
	ky.append(-((4*pi/(sqrt(3)*a))*(k1[i]*(1./2.)+k2[i])).real)


Energy = []

for i in range(kcut,kmax-kcut):
	B = data[i][2:6]
	B.sort()
	Energy = np.append(Energy,B)
	Energy = np.append(Energy,B[1]-B[0])
	Energy = np.append(Energy,B[3]-B[2])



#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
def Hamiltonian(kx,ky,tau,delta,lambdaIB,lambdaIA,lambdaR,ED,vf,lambdaPIAA,lambdaPIAB,BA,BB,XI):

	H = np.array([[-BA+delta+tau*lambdaIA+tau*XI, 	-lambdaPIAA*complex(ky,kx)*agrp, 	hbar*vf*complex(tau*kx,ky),		complex(0.0,lambdaR+tau*lambdaR)],
		      [-lambdaPIAA*complex(ky,-kx)*agrp, 	BA+delta-tau*lambdaIA+tau*XI, 	complex(0.0,lambdaR-tau*lambdaR), 	hbar*vf*complex(tau*kx,ky)],
		      [hbar*vf*complex(tau*kx,-ky), 		complex(0.0,-lambdaR+tau*lambdaR), 	-BB-delta-tau*lambdaIB+tau*XI, 		-lambdaPIAB*complex(ky,kx)*agrp],
		      [complex(0.0,-lambdaR-tau*lambdaR), 	hbar*vf*complex(tau*kx,-ky), 	-lambdaPIAB*complex(ky,-kx)*agrp,	BB-delta+tau*lambdaIB+tau*XI]])

	evals, evecs = np.linalg.eigh(H)

	evals.sort()
	ew = evals+ED
	
	return ew[0], ew[1], ew[2], ew[3], ew[1]-ew[0], ew[3]-ew[2]

	
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


def Hsum(kx,delta,ED,vf,lambdaIA,lambdaIB,lambdaR): 

	E = []
	for i in range(0,len(kx)):
			EW = Hamiltonian(kx[i],ky[i],tau,delta,lambdaIB,lambdaIA,lambdaR,ED,vf,lambdaPIAA,lambdaPIAB,BA,BB,XI)
			E = np.append(E,EW)

	return E




gmod = Model(Hsum) # Lade FUNKTION

result = gmod.fit(Energy,kx=kx,ED= 0.4,vf = 8.2e5, delta = 0.8e-3,lambdaIA = 0.7e-3,lambdaIB = -0.6e-3, lambdaR = 0.0004, method = 'least_squares')
	
	

print(result.fit_report())






