set term postscript eps enhanced color "Times-Roman, 24" size 7,5
set output 'bandstructure_SOC.eps'
set autoscale
set encoding iso_8859_1

Ef = 1.6787
K = 0.016/2
a = 2.4601*5
dk = 1000*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1

unset xtic
set xzeroaxis lw 2 dt 3
set tmargin 1
set bmargin 2
set size 0.55, 0.95
set origin 0.0, 0.02
set xrange [0.0:1.]
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [-.8:.8]
unset xtics
unset key
set mytics 2
set title "E = 2 V/nm" offset 0,-0.5
#set label "(a)" at -0.2,1.25
#set label "(b)" at 1.7,1.25
set palette defined (-0.5 'blue', -0.05 'grey', 0 'grey', 0.05 'grey', 0.5 'red')
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.5,0
set cblabel "< s_z >" offset -1.5,0
set colorbox user origin 0.4,0.55 size 0.01,0.1
set xtics ("M" 0.0, "K" 0.3333, "{/Symbol G}" 1.0,"M" 1.5774 ) out nomirror scale 2,1
set ylabel "E - E_F [eV]" offset 2,0
plot "./spinbands.dat" using 1:($2-Ef):($9) palette lw 6 with lines 


unset title
set tics out scale 2,1 nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.5:0.5]
unset key
set ytics -1,0.5,1
unset xtics
set ylabel "VB_1" offset 0.5,0
set mytics 2
set xtics ("M" -4, "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 4 ) out nomirror offset 0,0.2 scale 2,1
set xzeroaxis lw 3 dt 2 lc rgb "black"
set tmargin 1
unset label
set bmargin 2
set x2tics ("4" -4, "2" -2, "0" 0, "2" 2, "4" 4) offset 0,-0.5
set mx2tics 4
set x2label "k [10^{-3}/{\305}]" offset 0,-0.6
set size 0.46, 0.25
set origin 0.54, 0.02
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [0:2]
set ytics -5,1,6
unset colorbox
set ylabel "splitting [meV]" offset 0.5,0
set mytics 2
set mx2tics 4
set key inside left bottom samplen 2 nobox maxrows 1
plot "bands_model.dat" using (1000*($1)):(1000*($21-$20)) every 2 ps 1.4 lc rgb "red" pt 6 title "{/Symbol D}E_{CB}",\
"bands_model.dat" using (1000*($1)):(1000*($19-$18)) every 2 ps 1.4 lc rgb "blue" pt 6 title "{/Symbol D}E_{VB}",\

set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.45, 0.58
set origin 0.55, 0.35
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [150:190]
set key inside top center samplen 1 box opaque
set ytics -200,5,500 out nomirror
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
unset key
set mx2tics 4
plot "./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef)):($9) every 2 palette lt 6 ps 1.4 lw 2 with points title "",\
"./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef-500)) lc rgb "black" lt 6 ps 1.4 lw 2 with points title "DFT",\










