set term postscript eps enhanced color "Times-Roman, 24" size 10,6
set output 'spins_model.eps'
set autoscale
set encoding iso_8859_1


Ry = 13.605693009
ED = -1.38875429
bz = 1000*4*3.141592/(sqrt(3)*2.46)

set multiplot layout 2,1 title ""

#set zeroaxis lt 2 lc -1
set tmargin 1
set bmargin 2
set size 0.3, 0.52
set origin 0.01, 0.55
set xrange [-10:10]
set title ""
set yrange [-10:10]
set key inside top left samplen 1
set ylabel "k_y [10^{-3}/{\305}]" offset -0.3,0
set xlabel "k_x [10^{-3}/{\305}]" offset 0,0.7
#set arrow from 0.0,0.0 to -1.5, 0.0 lw 5 dt 6 nohead front 
#set arrow from 0.0,0.0 to 0.8, -1.3856 lw 5 dt 6 nohead front
#set arrow from 0.0,0.0 to 0.8, 1.3856 lw 5 dt 6 nohead front
set tics out nomirror
set xtics ("8" -8, "" -4, "0" 0, "" 4, "8" 8) offset 0,0.5
set ytics ("8" -8, "" -4, "0" 0, "" 4, "8" 8) offset 0.5,0
set cbrange [-65:-15]
set cbtics -100,10,100 offset -0.5,0
set cblabel "E_{VB} [meV]" offset -5,6
set pm3d interpolate 3,3
set view map
set colorbox user origin 0.27,0.6 size 0.01,0.16
set palette rgbformulae 22,13,-31 maxcol 20
splot "sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):(1000*(($4))) w pm3d title ""


set tmargin 1
set bmargin 2
unset label
unset colorbox
set size 0.3, 0.52
set origin 0.335, 0.55
set title ""
set cbrange [-1:1]
set cbtics -1,1,1 offset -0.5,0
set cblabel " {\74} s_z {\76}" offset -4,4.5
set colorbox user origin 0.60,0.6 size 0.01,0.16
set palette defined (-1 "blue",  -0.3 "light-grey", 0 "white", 0.3 "light-grey", 1 "red")
splot "sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):($16) w pm3d title "",\
"sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):(1):($8*0.6):($12*0.6):(1) every 1 with vectors head lw 2 lt 1 lc -1 filled title ""

set tmargin 1
set bmargin 2
set size 0.3, 0.52
set origin 0.67, 0.55
set cbrange [10:26]
set cbtics 0,4,100 offset -0.5,0
set colorbox user origin 0.935,0.6 size 0.01,0.16
set palette rgbformulae 22,13,-31
set cblabel "{/Symbol D}E_{VB} [{/Symbol m}eV]" offset -5,6
splot "sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):(1000000*($4-$3)) w pm3d title "",


set tmargin 1
set bmargin 2
set size 0.3, 0.52
set origin 0.01, 0.05
set key inside top left samplen 1
set ylabel "k_y [10^{-3}/{\305}]" offset -0.3,0
set xlabel "k_x [10^{-3}/{\305}]" offset 0,0.7
set tics out nomirror
set cbrange [15:65]
set cbtics -100,10,50 offset -0.5,0
set cblabel "E_{CB} [meV]" offset -5,6
#unset colorbox
set colorbox user origin 0.27,0.1 size 0.01,0.16
set palette rgbformulae 22,13,-31
splot "sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):(1000*(($5))) w pm3d title "" 



set tmargin 1
set bmargin 2
set size 0.3, 0.52
set origin 0.335, 0.05
set title ""
unset label
set cbrange [-1:1]
set cbtics -1,1,1 offset -0.5,0
set cblabel " {\74} s_z {\76}" offset -4,4.5
set colorbox user origin 0.60,0.1 size 0.01,0.16
set palette defined (-1 "blue",  -0.3 "light-grey", 0 "white", 0.3 "light-grey", 1 "red")
splot "sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):($17) w pm3d title "",\
"sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):(1):($9*0.6):($13*0.6):(1) with vectors head lt 1 lc -1 filled title ""

set tmargin 1
set bmargin 2
set size 0.3, 0.52
set origin 0.67, 0.05
set cbrange [17.5:22.5]
set cbtics 0,2,100 offset -0.5,0
set colorbox user origin 0.935,0.1 size 0.01,0.16
set palette rgbformulae 22,13,-31
set cblabel "{/Symbol D}E_{CB} [{/Symbol m}eV]" offset -5,6
splot "sptext.dat" u (bz*($1+0.5*$2)):(bz*($2*sqrt(3)/2)):(1000000*($6-$5)) w pm3d title "",

