set term postscript eps enhanced color "Times-Roman, 22" size 6,6
set output 'spinexp.eps'
set autoscale
set encoding iso_8859_1

Ef = 1.6527
K = 0.016/2
a = 2.4601*5
dk = 1000*2*3.141592/a
Ry = 13.605693

set multiplot layout 2,1

unset xtic
set xzeroaxis lw 3 dt 2 lc rgb "black"
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.0
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.5:0.5]
unset key
set ytics -1,0.5,1
unset xtics
set ylabel "VB_1" offset 0.5,0
set mytics 2
set xtics ("M" -4, "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 4 ) out nomirror offset 0,0.2 scale 2,1
set x2tics ("4" -4, "2" -2, "0" 0, "2" 2, "4" 4) offset 0,-0.2
set mx2tics 4
set x2label "k [10^{-3}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*1000)):22 every 2 with points pt 6 ps 1.2 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*1000)):26 every 2 with points pt 6 ps 1.2 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*1000)):30 every 2 with points pt 6 ps 1.2 lc rgb "blue" title "s_z",\


set xzeroaxis lw 3 dt 2 lc rgb "black"
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.25
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [-0.5:0.5]
set ytics -1,0.5,1
unset key
set ylabel "VB_2" offset 0.5,0
set mytics 2
set mx2tics 4
plot"./bands_model.dat" using (($1*1000)):23 every 2 with points pt 6 ps 1.2 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*1000)):27 every 2 with points pt 6 ps 1.2 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*1000)):31 every 2 with points pt 6 ps 1.2 lc rgb "blue" title "s_z",\

set xzeroaxis lw 3 dt 2 lc rgb "black"
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.5
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [-0.5:0.5]
set ytics -1,0.5,1
unset key
set ylabel "CB_1" offset 0.5,0
set mytics 2
set mx2tics 4
plot "./bands_model.dat" using (($1*1000)):24 every 2 with points pt 6 ps 1.2 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*1000)):28 every 2 with points pt 6 ps 1.2 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*1000)):32 every 2 with points pt 6 ps 1.2 lc rgb "blue" title "s_z",\

set xzeroaxis lw 3 dt 2 lc rgb "black"
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.75
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [-0.5:0.5]
set ytics -1,0.5,1
unset key
set ylabel "CB_2" offset 0.5,0
set mytics 2
set mx2tics 4
set key inside right center samplen 1 box opaque width 0.55 height 0.45
plot "./bands_model.dat" using (($1*1000)):25 every 1 with points pt 6 ps 1.2 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*1000)):29 every 2 with points pt 6 ps 1.2 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*1000)):33 every 2 with points pt 6 ps 1.2 lc rgb "blue" title "s_z",\


set xzeroaxis lw 3 dt 2 lc rgb "black"
set tmargin 1
unset label
set bmargin 2
set size 0.52, 0.22
set origin 0.5, 0.0
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [2:3.3]
set ytics -5,0.2,5
set ylabel "splitting [meV]" offset 0.5,0
set mytics 2
set mx2tics 4
set key inside right center samplen 1 box opaque width 1 height 0.45
plot "bands_model.dat" using (1000*($1)):(1000*($21-$20)) every 2 ps 1.4 lc rgb "red" pt 6 title "{/Symbol D}E_{CB}",\
"bands_model.dat" using (1000*($1)):(1000*($19-$18)) every 2 ps 1.4 lc rgb "blue" pt 6 title "{/Symbol D}E_{VB}",\

set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.52, 0.62
set origin 0.5, 0.3
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-12:35]
set key inside top center samplen 1 box opaque
set ytics -100,5,500 out nomirror
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
unset key
set mx2tics 4
set palette defined (-0.5 'blue', -0.1 'grey', 0 'grey', 0.1 'grey', 0.5 'red')
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.5,0
set cblabel "< s_z >" offset -2,0
set colorbox user origin 0.867,0.57 size 0.012,0.08
plot "./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef)):($9) every 2 palette lt 6 ps 1.4 lw 2 with points title "",\
"./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef-500)) lc rgb "black" lt 6 ps 1.4 lw 2 with points title "DFT",\













